10.5 | Server installation and setup | Installation requirements | Datatabase requirements

Was this page helpful?

Start Free

Datatabase requirements

The table below lists the supported database engines.

Database engineRequirement
PostgreSQLVersion: 11 to 15
Microsoft SQL server

Version: 

  • 2022 (MSSQL Server 16.0); 2019 (MSSQL Server 15.0); 2017 (MSSQL Server 14.0); 2016 (MSSQL Server 13.0); 2014 (MSSQL Server 12.0).
  • With bundled Microsoft JDBC driver.

Notes

  • Express Edition is supported.
  • Windows and SQL Server authentication are both supported.
Oracle

Version: 21C, 19C, XE Editions

Recommendation: Use the latest Oracle JDBC driver.

Notes:

  • The driver ojdbc14.jar is not supported.
  • Only the thin mode is supported, not OCI.
  • Only MAX_STRING_SIZE=STANDARD parameter is supported, not EXTENDED.
  • The Oracle JDBC driver versions 12.1.0.1 and 12.1.0.2 have major bugs, and are not recommended for use with SonarQube (see more details).

© 2008-2024 SonarSource SA. All rights reserved. SONAR, SONARSOURCE, SONARLINT, SONARQUBE, SONARCLOUD, and CLEAN AS YOU CODE are trademarks of SonarSource SA.

Creative Commons License